Retrieve specific RICAL
Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier.
The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
ecosystemId*stringThe UUID of the ecosystem
uuidricalIssueId*integerUnique identifier of a specific RICAL version. This numeric value is continuously increased whenever a RICAL is created.
int32RICAL retrieved
response?fileapplication/cborbinarycurl -X GET "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/public/1337""string"How would you rate this page?
Retrieve all RICALs GET
Retrieves all RICALs available in the requested ecosystem. The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the [Retrieve specific RICAL](#operation/getRical) or [Retrieve latest RICAL](#operation/getLatestRical) endpoint. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve latest RICAL GET
Retrieves the latest RICAL from the requested ecosystem. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication.